Cannot easy_install Jinja2-2.6 #32

Closed
dcrosta opened this Issue May 7, 2011 · 1 comment

Comments

Projects
None yet
2 participants

dcrosta commented May 7, 2011

$ easy_install "Jinja2 == 2.6"
Searching for Jinja2==2.6
Reading http://pypi.python.org/simple/Jinja2/
Reading http://jinja.pocoo.org/
No local packages or download links found for Jinja2==2.6
error: Could not find suitable distribution for Requirement.parse('Jinja2==2.6')
$ easy_install "Jinja2 == 2.6-dev"
Searching for Jinja2==2.6-dev
Reading http://pypi.python.org/simple/Jinja2/
Reading http://jinja.pocoo.org/
No local packages or download links found for Jinja2==2.6-dev
error: Could not find suitable distribution for Requirement.parse('Jinja2==2.6-dev')
$ easy_install "Jinja2 == dev"
Searching for Jinja2==dev
Reading http://pypi.python.org/simple/Jinja2/
Reading http://jinja.pocoo.org/
Best match: Jinja2 dev
Downloading http://dev.pocoo.org/hg/jinja2-main/archive/tip.zip#egg=Jinja2-dev
Processing tip.zip
error: Couldn't find a setup script in /var/folders/Y-/Y-Pm+QGfGpGZWZm14l2qW++++TI/-Tmp-/easy_install-TlhvGN/tip.zip

I think if the page at http://pypi.python.org/simple/Jinja2/ linked to the master branch's zipball, instead of to the old hg repository's tip.zip, this would work. For now, I've added this to my setup.py (in case anyone else runs into this problem):

      dependency_links=[
          'https://github.com/mitsuhiko/jinja2/zipball/master#egg=Jinja2-2.6dev',
      ]
Member

jeffwidman commented Apr 13, 2016

Looks like this is fixed:

(test_jinja) ~/C/ ❯❯❯ easy_install "Jinja2 == 2.6"                              

Searching for Jinja2==2.6
Reading https://pypi.python.org/simple/Jinja2/
Best match: Jinja2 2.6
Downloading https://pypi.python.org/packages/source/J/Jinja2/Jinja2-2.6.tar.gz#md5=1c49a8825c993bfdcf55bb36897d28a2
Processing Jinja2-2.6.tar.gz
Writing /var/folders/w0/bv62gp0n1d9c3_wdvc1q7v7w0000gn/T/easy_install-pvWzrw/Jinja2-2.6/setup.cfg
Running Jinja2-2.6/setup.py -q bdist_egg --dist-dir /var/folders/w0/bv62gp0n1d9c3_wdvc1q7v7w0000gn/T/easy_install-pvWzrw/Jinja2-2.6/egg-dist-tmp-po7Z5e
warning: no previously-included files matching '*' found under directory 'docs/_build'
warning: no previously-included files matching '*.pyc' found under directory 'jinja2'
warning: no previously-included files matching '*.pyc' found under directory 'docs'
warning: no previously-included files matching '*.pyo' found under directory 'jinja2'
warning: no previously-included files matching '*.pyo' found under directory 'docs'
creating /Users/jeffwidman/.virtualenvs/test_jinja/lib/python2.7/site-packages/Jinja2-2.6-py2.7.egg
Extracting Jinja2-2.6-py2.7.egg to /Users/jeffwidman/.virtualenvs/test_jinja/lib/python2.7/site-packages
Adding Jinja2 2.6 to easy-install.pth file

Installed /Users/jeffwidman/.virtualenvs/test_jinja/lib/python2.7/site-packages/Jinja2-2.6-py2.7.egg
Processing dependencies for Jinja2==2.6
Finished processing dependencies for Jinja2==2.6
(test_jinja) ~/C/ ❯❯❯ pip list | grep Jinja2                                    
Jinja2 (2.6)

@jeffwidman jeffwidman closed this Apr 13, 2016

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment